> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Elencare inviti

> Elencare inviti dell’account

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json GET /v1/public/accounts/{account_id}/auth/invitations
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/invitations:
    get:
      tags:
        - public-accounts
        - public-account-auth
      summary: Elencare inviti dell’account
      description: Elenca gli inviti nell’ambito di un account.
      operationId: >-
        list_public_account_invitations_v1_public_accounts__account_id__auth_invitations_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: email
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Email
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/InviteResponse'
                title: >-
                  Response List Public Account Invitations V1 Public Accounts 
                  Account Id  Auth Invitations Get
                type: array
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di convalida
      security:
        - PublicBearerAuth: []
components:
  schemas:
    InviteResponse:
      properties:
        accepted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: accettato alle
        accepted_subject_id:
          anyOf:
            - type: string
            - type: 'null'
          title: accettato soggetto ID
        assignments:
          items:
            $ref: '#/components/schemas/InvitationAssignmentResponse'
          title: assegnazioni
          type: array
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: creato alle
        email:
          title: E-mail
          type: string
        expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: scade alle
        id:
          format: uuid
          title: ID
          type: string
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: nota
        permission_context:
          $ref: '#/components/schemas/PermissionInspectabilitySnapshot'
        status:
          title: Stato
          type: string
      required:
        - id
        - email
        - status
        - assignments
        - permission_context
      title: InviteResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    InvitationAssignmentResponse:
      description: >-
        Schema per una singola assegnazione di autorizzazione all'interno di una
        risposta a un invito.
      properties:
        assignment_kind:
          title: assegnazione tipo
          type: string
        capability_key:
          anyOf:
            - type: string
            - type: 'null'
          title: capacità chiave
        grant_kind:
          anyOf:
            - type: string
            - type: 'null'
          title: concessione tipo
        group_id:
          anyOf:
            - type: string
            - type: 'null'
          title: gruppo ID
        id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: ID
        position:
          title: posizione
          type: integer
        resource_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: risorsa ID
        resource_type:
          anyOf:
            - type: string
            - type: 'null'
          title: risorsa tipo
        role_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Chiave del ruolo
      required:
        - assignment_kind
        - position
      title: InvitationAssignmentResponse
      type: object
    PermissionInspectabilitySnapshot:
      description: >-
        Snapshot di ispezionabilità condivisa per la gestione di utenti, gruppi
        e inviti.
      properties:
        assigned_bundle_keys:
          items:
            type: string
          title: Chiavi bundle assegnate
          type: array
        direct_capability_keys:
          items:
            type: string
          title: Direct capacità Keys
          type: array
        owner_assignments:
          items:
            $ref: '#/components/schemas/OwnerAssignmentSnapshot'
          title: proprietario assegnazioni
          type: array
        resolved_capability_keys:
          items:
            type: string
          title: risolto capacità Keys
          type: array
        status:
          default: active
          title: Stato
          type: string
        subject_id:
          default: ''
          title: soggetto ID
          type: string
        subject_type:
          default: unknown
          title: soggetto tipo
          type: string
      title: PermissionInspectabilitySnapshot
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    OwnerAssignmentSnapshot:
      description: Schema che indica una relazione del proprietario dell'account.
      properties:
        account_id:
          format: uuid
          title: account ID
          type: string
      required:
        - account_id
      title: OwnerAssignmentSnapshot
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````